org.springframework.http.converter.json

## Class MappingJacksonInputMessage

- java.lang.Object
- - org.springframework.http.converter.json.MappingJacksonInputMessage

- All Implemented Interfaces:
    HttpInputMessage, HttpMessage

      public class MappingJacksonInputMessage
      extends Object
      implements HttpInputMessage

  `HttpInputMessage` that can eventually stores a Jackson view that will be used to deserialize the message.
  Since:
    4.2
  Author:
    Sebastien Deleuze

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MappingJacksonInputMessage(InputStream body, HttpHeaders headers)`
    `MappingJacksonInputMessage(InputStream body, HttpHeaders headers, Class<?> deserializationView)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `InputStream` | `getBody()` Return the body of the message as an input stream.
    `Class<?>` | `getDeserializationView()`
    `HttpHeaders` | `getHeaders()` Return the headers of this message.
    `void` | `setDeserializationView(Class<?> deserializationView)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MappingJacksonInputMessage

          public MappingJacksonInputMessage(InputStream body,
                                            HttpHeaders headers)

    - #### MappingJacksonInputMessage

          public MappingJacksonInputMessage(InputStream body,
                                            HttpHeaders headers,
                                            Class<?> deserializationView)

  - ### Method Detail

    - #### getBody

          public InputStream getBody()
                              throws IOException

      Description copied from interface: `HttpInputMessage`
      Return the body of the message as an input stream.
      Specified by:
        `getBody` in interface `HttpInputMessage`
      Returns:
        the input stream body (never `null`)
      Throws:
        `IOException` - in case of I/O errors

    - #### getHeaders

          public HttpHeaders getHeaders()

      Description copied from interface: `HttpMessage`
      Return the headers of this message.
      Specified by:
        `getHeaders` in interface `HttpMessage`
      Returns:
        a corresponding HttpHeaders object (never `null`)

    - #### setDeserializationView

          public void setDeserializationView(@Nullable
                                             Class<?> deserializationView)

    - #### getDeserializationView

          @Nullable
          public Class<?> getDeserializationView()